curl -X POST https://api.handle.ng/v1/refunds \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"reference": "ORD-1092",
"amount": 1500000,
"reason": "Customer requested cancellation"
}'
{
"status": "success",
"message": "Refund processed successfully",
"data": {
"refundReference": "REF-89102-ORD-1092",
"amount": 1500000,
"currency": "NGN",
"status": "PROCESSED",
"refundedAt": "2026-09-21T08:35:00Z"
}
}
Refunds
Create Refund
Initiate an automated full or partial refund to the customer’s bank account
POST
/
v1
/
refunds
curl -X POST https://api.handle.ng/v1/refunds \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"reference": "ORD-1092",
"amount": 1500000,
"reason": "Customer requested cancellation"
}'
{
"status": "success",
"message": "Refund processed successfully",
"data": {
"refundReference": "REF-89102-ORD-1092",
"amount": 1500000,
"currency": "NGN",
"status": "PROCESSED",
"refundedAt": "2026-09-21T08:35:00Z"
}
}
Request Body
string
required
The transaction reference of the original successful payment to refund.
integer
Amount in Kobo to refund. If omitted, the full transaction amount is refunded.
string
Merchant reason for issuing the refund (e.g.
Item out of stock).Response
string
Returns
success.object
curl -X POST https://api.handle.ng/v1/refunds \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"reference": "ORD-1092",
"amount": 1500000,
"reason": "Customer requested cancellation"
}'
{
"status": "success",
"message": "Refund processed successfully",
"data": {
"refundReference": "REF-89102-ORD-1092",
"amount": 1500000,
"currency": "NGN",
"status": "PROCESSED",
"refundedAt": "2026-09-21T08:35:00Z"
}
}